<!DOCTYPE html>
<html lang="en">

<head>
  <%- include('../partials/head') %>
  <link rel="stylesheet" href="/css/styleRegister.css">
  <link rel="stylesheet" href="/css/style.css">
</head>

<body>
  <!-- Navbar -->
  <%- include('../partials/navbar') %>
  <!-- End of navbar -->

  <div class="container-fluid px-0">
    <div class="row g-0 px-0">
      <div class="col d-flex leftSide">
        <div class="ps-4 imgBox">
          <h1 class="titleImage">Daftar dan belajar memasak
            di mamasakan</h1>
          <hr>
          <p class="textImage">Belajar memasak masakan nusantara
            dari Chef Professional. Temukan juga resep dan artikel menarik seputar makanan secara GRATIS.
          </p>
        </div>
      </div>
      <div class="col d-flex rightSide">
        <div class="container mx-5">

          <ul class='error-msg text-danger'></ul>

          <form action="/auth/register" method="POST" id='registerForm'>
            <!-- Nama depan & nama belakang -->
            <div class="row g-4">
              <div class="col">
                <div class="form-floating mb-3">
                  <input type="text" class="form-control first-name" id="floatingInput" placeholder="Nama Depan"
                    name="firstName" required>
                  <label for="floatingInput">Nama depan</label>
                </div>
              </div>
              <div class="col">
                <div class="form-floating mb-3">
                  <input type="text" class="form-control" id="floatingInput" placeholder="Nama Belakang"
                    name="lastName">
                  <label for="floatingInput">Nama belakang</label>
                </div>
              </div>
            </div>
            <!-- End of nama depan & nama belakang -->
            <!-- Email & password -->
            <div class="form-floating mb-3">
              <input type="email" class="form-control email" id="floatingInput" placeholder="name@example.com"
                name="email" required>
              <label for="floatingInput">Email</label>
            </div>
            <div class="form-floating mb-3">
              <input type="password" class="form-control" id="inputPassword" placeholder="Password" name="password"
                required minlength=8>
              <label for="inputPassword">Password</label>
              <p class="passwordText">Kata sandi minimal 8 karakter</p>
              <i class="fas fa-eye-slash" id="togglePassword"></i>
            </div>
            <p class="marginBottom"><input type="checkbox" id="checkboxSyarat">
              Saya menyetujui <a href="/syarat-privasi/syarat" class="rules">Syarat dan Ketentuan</a> dan
              <a href="/syarat-privasi/privasi" class="rules">Kebijakan Privasi</a> yang berlaku
            </p>
            <div class="d-grid gap-2">
              <button class="btn btn-success btnDaftar" type="submit" data-toggle="modal"
                data-target="#exampleModalCenter" disabled>DAFTAR</button>
            </div>
            <!-- form -->
          </form>

          <!-- Modal button daftar -->
          <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog"
            aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
              <div class="modal-content">
                <div class="modal-body">
                  <img src="/img/cuate.png" alt="" width="214px" height="177px" class="modalPicture mx-auto d-block">
                  <h4 class="text-center modalText">
                    Selamat! <br>
                    Akun Anda berhasil dibuat. Silahkan cek email Anda untuk verifikasi.
                  </h4>
                  <div class="container">
                    <div class="col btnModal">
                      <a href="/" class="btn btn-success btn-block">Kembali ke beranda</a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- End of modal  -->

          <p class="alreadyRegis text-center">Sudah daftar? <a href="#" class="rules">Login</a></p>
          <!-- </div> -->
        </div>
      </div>
    </div>
  </div>
  </div>

  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
    integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous">
  </script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
    integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous">
  </script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
    integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous">
  </script>
  <script src="/js/scriptRegister.js"></script>
</body>

</html>